"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VsrClient = exports.VSR_ID = void 0;
const anchor_1 = require("@project-serum/anchor");
const web3_js_1 = require("@solana/web3.js");
const voter_stake_registry_1 = require("./voter_stake_registry");
exports.VSR_ID = new web3_js_1.PublicKey('4Q6WW2ouZ6V3iaNm56MTd5n2tnTm4C5fiH8miFHnAFHo');
class VsrClient {
    constructor(program, devnet) {
        this.program = program;
        this.devnet = devnet;
    }
    static connect(provider, devnet) {
        return __awaiter(this, void 0, void 0, function* () {
            // alternatively we could fetch from chain
            // const idl = await Program.fetchIdl(VSR_ID, provider);
            const idl = voter_stake_registry_1.IDL;
            return new VsrClient(new anchor_1.Program(idl, exports.VSR_ID, provider), devnet);
        });
    }
}
exports.VsrClient = VsrClient;
//# sourceMappingURL=client.js.map